/*******************************************************************************
*                                                                              *
*   (C) 1997-2002 by Ernst W. Mayer.                                           *
*                                                                              *
*  This program is free software; you can redistribute it and/or modify it     *
*  under the terms of the GNU General Public License as published by the       *
*  Free Software Foundation; either version 2 of the License, or (at your      *
*  option) any later version.                                                  *
*                                                                              *
*  This program is distributed in the hope that it will be useful, but WITHOUT *
*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       *
*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for   *
*  more details.                                                               *
*                                                                              *
*  You should have received a copy of the GNU General Public License along     *
*  with this program; see the file GPL.txt.  If not, you may view one at       *
*  http://www.fsf.org/licenses/licenses.html, or obtain one by writing to the  *
*  Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA     *
*  02111-1307, USA.                                                            *
*                                                                              *
*******************************************************************************/

/****************************************************************************
 * We now include this header file if it was not included before.
 ****************************************************************************/
#ifndef masterdefs_h_included
#define masterdefs_h_included

#undef  DEBUG
#define DEBUG		0	/* Turn on various debugging diagnostics. */

#undef  NOBRANCH
#define NOBRANCH	0	/* Switch between branched and branchless versions of various key sequences. */

#undef	LO_ADD
#define	LO_ADD		1	/* TRUE = use algorithm with more mul and fewer add */

#undef  USE_NEW_DIT
#define USE_NEW_DIT	1	/* Set = 1 to use version of DIT that does twiddles at end of pass. */

#endif	/* masterdefs_h_included */
